﻿ /*========================= TOP OF THE MENU CASCADE =========================*/

.menu {
	position:relative;        /* establish a menu-relative positioning context */
	float:left;  
	margin: 0 0 0 4px;                                   /* play nicely with others */
	padding:0;
	border:0;
	height:31px;                                  /* the menu's overall height */
	width:530px;         /* we always want our menu to fill the available space */
	text-align: left;
}

.menu img {
	vertical-align: top;      /* prevent images from being pushed down by text */
}

.menu ul {
	padding:0;
	margin:0;
	border:0;
	font-size:10px;
	text-transform: uppercase;
	list-style-type:none;          /* we don't want to view the list as a list */
	line-height:1.5em;           /* globally set the menu's item spacing. note */
}                               /* this must be 1.0 or 1.5 or 2.0 for Mozilla */

.menu li {
	float:left;    /* this creates the side-by-side array of top-level buttons */
	position:relative;    /* create local positioning contexts for each button */
	margin:0;
}

.menu ul li table {
	margin:-1px 0;              /* IE5 needs -1px top and bottom table margins */
	m\argin:0;               /* re-zero the table margins for everyone but IE5 */
	border-collapse:collapse;      /* IE5 needs this for the sub-menus to work */
	font-size:12px;        /* this sets the base font size for our entire menu */
}

.drop {
	display:block;
	padding:0px 0.33em;	       /* this sets the l/r margins for our menu item */
	margin:0;
	text-align:left;   /* this right alignment goes with the float:left below */
	cursor:pointer;      /* IE tries to switch back to an I-beam, don't let it */
	cursor:hand;           /* IE5 only knows about "hand", so set it both ways */
}

.drop span {        /* this simultaneously left and right aligns the text and */
	float:left;       /* the >> in the drop-down menus which link to sub-menus */
}

.rightmenu {
	position:relative;  /* establish a local positioning context for YAH label */
	float:right;                  /* and right-align it at the top of our page */
}

/*======================== TOP LEVEL MENU DEFINITIONS ========================*/

.menu ul li ul {
	display:none;                  /* initially hide the entire list hierarchy */
	padding:2px;                               /* this is our box border width */
}

.menu ul li a,
.menu ul li a:visited {                    /* unselected top-level menu items */
	display:block;
	float:left;
	text-decoration:none;
	height:31px;
	line-height: 31px;
	margin: 0;
	padding-right: 3px;
	color: #0E345A;
}

.menu ul li:hover a,
.menu ul li a:hover {                        /* selected top-level menu items */
	border-top:0px solid #000;    /* these 2 lines create the push-in illusion */
	height:31px;
}

.menu ul li a.home,
.menu ul li a.home:visited {
	background: url('../images/menu/btn_home.png') no-repeat center center;
	text-indent: -99999px;
	width: 44px;
}

.menu ul li:hover a.home,
.menu ul li a.home:hover {
	background: url('../images/menu/btn_home-over.png') no-repeat center center;
}

.menu ul li a.about,
.menu ul li a.about:visited {
	background: url('../images/menu/btn_about.png') no-repeat center center;
	text-indent: -99999px;
	width: 68px;
}

.menu ul li:hover a.about,
.menu ul li a.about:hover {
	background: url('../images/menu/btn_about-over.png') no-repeat center center;
}

.menu ul li a.services,
.menu ul li a.services:visited {
	background: url('../images/menu/btn_services.png') no-repeat center center;
	text-indent: -99999px;
	width: 130px;
}

.menu ul li:hover a.services,
.menu ul li a.services:hover {
	background: url('../images/menu/btn_services-over.png') no-repeat center center;
}

.menu ul li a.getstarted,
.menu ul li a.getstarted:visited {
	background: url('../images/menu/btn_getstarted.png') no-repeat center center;
	text-indent: -99999px;
	width: 86px;
}

.menu ul li:hover a.getstarted,
.menu ul li a.getstarted:hover {
	background: url('../images/menu/btn_getstarted-over.png') no-repeat center center;
}

.menu ul li a.professionals,
.menu ul li a.professionals:visited {
	background: url('../images/menu/btn_professionals.png') no-repeat center center;
	text-indent: -99999px;
	width: 101px;
}

.menu ul li:hover a.professionals,
.menu ul li a.professionals:hover {
	background: url('../images/menu/btn_professionals-over.png') no-repeat center center;
}

.menu ul li a.contact,
.menu ul li a.contact:visited {
	background: url('../images/menu/btn_contact.png') no-repeat center center;
	text-indent: -99999px;
	width: 82px;
}

.menu ul li:hover a.contact,
.menu ul li a.contact:hover {
	background: url('../images/menu/btn_contact-over.png') no-repeat center center;
}

/*======================== 2ND LEVEL MENU DEFINITIONS ========================*/

.menu ul li:hover ul,
.menu ul li a:hover ul {                           /* 2nd level drop-down box */
	display:block;
	position:absolute;
	margin:0;
	top:29px;              /* place us just up underneath the top-level images */
	left:0;       /* left-align our drop-down to the previous button border */
	height:auto;      /* the drop-down height will be determiend by line count */
	width:155px;
	color: var(--white);                        /* this sets the unselected-text color */
	background: var(--teal);         /* this sets our menu's effective "border" color */
}

.menu ul li:hover ul.leftbutton,
.menu ul li a:hover ul.leftbutton {/* our first dropdown should not be skewed */
	left:0px;
}

.menu ul li:hover ul.skinny,
.menu ul li a:hover ul.skinny {             /* 2nd level skinny drop-down box */
	width:8.08333em;   /* with a 12px default font, this is 97px width (97/12) */
}

.menu ul.rightmenu li:hover ul,
.menu ul.rightmenu li a:hover ul {    /* 2nd level neighborhood drop-down box */
	left:auto;
	right:0;         /* nudge the right menu right to line up under the border */
}

* html .menu ul.rightmenu li a:hover ul {         /* IE5/6 needs a tweak here */
	right:-1px;
}

.menu ul li:hover ul li a,
.menu ul li a:hover ul li a {                   /* 2nd level unselected items */
	border:0;
	padding:0 2px;
	color: var(--teal);               /* this sets the unselected drop-down text color */
	background:#f0f8f5;       /* this sets the drop-down menu background color */
	width:151px;
	height: 20px;
	line-height: 20px;
}

.menu ul li:hover ul li:hover a,
.menu ul li a:hover ul li a:hover {                /* 2nd level selected item */
	color: var(--teal);
	background: var(--white);
}

.menu ul li:hover ul.skinny li a,
.menu ul li a:hover ul.skinny li a,
.menu ul li:hover ul.skinny li a:hover,
.menu ul li a:hover ul.skinny li a:hover {     /* 2nd level un+selected items */
	width:8.08333em;
}

/*======================== 3RD LEVEL MENU DEFINITIONS ========================*/

.menu ul li:hover ul li ul,
.menu ul li a:hover ul li a ul {             /* hide inactive 3rd-level menus */
	visibility:hidden;
}
     
.menu ul li:hover ul li:hover ul,
.menu ul li a:hover ul li a:hover ul {             /* 3rd level drop-down box */
	visibility:visible;
	position:absolute;
	margin-top:-1px;	      /* bring the top edge of the 3rd level menu up one */
	top:0;
	left:8.08333em;
	width:14em;
}

.menu ul li:hover ul li:hover ul li a,
.menu ul li a:hover ul li a:hover ul li a {     /* 3rd level unselected items */
	width:14em;
	background:#d8d8d8;
}

.menu ul li:hover ul li:hover ul li a:hover,
.menu ul li a:hover ul li a:hover ul li a:hover {    /* level3 selected items */
	width:14em;
	background:white;
}

